# -*- rpm-spec -*-
# $Id: zcip,v 1.2 2004/02/04 16:07:42 lioka Exp $

Name: zcip
Version: 4
Release: alt6

Summary: Link-local IP autocofiguration utility
License: BSD
Group: System/Servers
Url: http://www.ietf.org/internet-drafts/draft-ietf-zeroconf-ipv4-linklocal-14.txt

Source0: ftp://ftp.kernel.org/pub/software/network/%name/%name-%version.tar.bz2
Source1: zcip-script
Source2: %url
Patch0: %name-4-alt-make.patch
Patch1: %name-4-alt-script.patch
Patch2: %name-4-alt-compile.patch

BuildRequires: libnet1-devel-static libpcap-devel-static
Provides: /etc/zcip/zcip.d

%description
This is an implementation of the ad-hoc link-local IP autoconfiguration
algorithm described in the IETF Draft "Dynamic Configuration of IPv4
link-local addresses", available at: 
%url

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
rm draft-ietf-zeroconf-ipv4-linklocal*.txt
cp %SOURCE2 ./

%build 
%make_build

%install 
%__install -p -m0755 -D %name %buildroot/sbin/%name
%__install -p -m0755 -D make-arp %buildroot%_sbindir/make-arp
%__install -p -m0644 -D %name.8 %buildroot%_man8dir/%name.8
%__install -p -m0755 -D %SOURCE1 %buildroot%_sysconfdir/%name/%name-script
%__mkdir %buildroot%_sysconfdir/%name/%name.d

%files
%doc Changelog Copyright README TODO draft-ietf-zeroconf-ipv4-linklocal*.txt
%_sysconfdir/%name/%name.d
%_sysconfdir/%name/%name-script
/sbin/%name
##_sbindir/make-arp
%_man8dir/%name.*

%changelog
* Sat May 08 2004 Alexey Voinov <voins@altlinux.ru> 4-alt6
- remove requirements on gcc3.2 [.compile patch updated]

* Fri May 07 2004 Alexey Voinov <voins@altlinux.ru> 4-alt5
- build fixed [compile patch]
- url updated [bug#3988]

* Tue Feb  3 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 4-alt4
- merged with %distribution

* Wed Dec  3 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 4-alt3
- autogenerated hostname prefix changed from AW to HOST

* Thu Nov 27 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 4-alt2
- release

* Mon Apr 14 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 4-alt1
- merged with ALM 2.2

* Wed Mar 12 2003 Michael Emelyanov <m.emelyanov@sam-solutions.net> 4-4aw
- host name setup only if default dateway

* Tue Mar 11 2003 Michael Emelyanov <m.emelyanov@sam-solutions.net> 4-3aw
- Added /etc/resolv.conf clean up if nic is default dateway

* Fri Mar 7 2003 Michael Emelyanov <m.emelyanov@sam-solutions.net> 4-2aw
- Added check for default gateway

* Wed Feb 12 2003 Grigory Milev <week@altlinux.ru> 4-1aw
- new version released

* Mon Jan 13 2003 Grigory Milev <week@altlinux.ru> 3-3aw
- rebuild with gcc3.2

* Tue May 28 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 3-2aw
- post-zcip script added

* Mon May 20 2002 Sergey Bolshakov <s.bolshakov@belcaf.com>  3-1aw
- Initial build for AW.


